##### 7.7.7.0. ivL2lpI

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  ivL2lpI(L); L a list of intvecs

Return:
  ideal

Purpose:
  Transforming a list of intvecs into an ideal of Letterplace monomials.
  For the encoding of the variables see the overview.

Assume:
  - Intvec corresponds to a Letterplace monomial
  - basering has to be a Letterplace ring

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y,z),dp;
    def R = makeLetterplaceRing(5);// constructs a Letterplace ring
    setring R; //sets basering to Letterplace ring
    intvec u = 1,1,2; intvec v = 2,1,3; intvec w = 3,1,1;
    // u = x^2y, v = yxz, w = zx^2 in intvec representation
    list L = u,v,w;
    ivL2lpI(L);// invokes the procedure, returns the ideal containing u,v,w
    ==> _[1]=x(1)*x(2)*y(3)
    ==> _[2]=y(1)*x(2)*z(3)
    ==> _[3]=z(1)*x(2)*x(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.